<!-- Only this code goes in last version -->

<p>Na ovoj stranici dat ćemo kratki pregled osnovnih načina rada bistabila. Podsjetimo se, bistabil je <i>sinkroni
    sekvencijski sklop</i> koji ima <b>dva</b> stabilna stanja.</p>
<p>Na sljedećim simulacijama vidimo i formalno označavanje bistabila.</p>
<hr>
<h3><b>Primjeri simbola za bistabil koji djeluje na razinu.</b></h3>
<p>
    Vidimo da sklop s <b>primjera 1</b> nema nikakve dodatne oznake, za njega pretpostavljamo znamo da je sinkron zbog
    signala takta te pretpostavljano vrijedi da djeluje na visoku razinu signala takta.
</p>
<p>
    Sklop s <b>primjera 2</b> ima dodatni simbol kod <b>CP</b>-a, to je običan znak komplementa na ulazu, a ovdje nam to
    znači da ovaj bistabil djeluje na nisku razinu signala takta.
</p>
<div id="canvas">
    <p align="center">
        <canvas id="ActiveHigh" width="350px" height="300px"></canvas>
        <canvas id="ActiveLow" width="350px" height="300px"></canvas>
    </p>
</div>
<hr>
<h3><b>Primjeri simbola bistabila koji djeluje na brid.</b></h3>
<p>
    Na demonstraciji <b>primjera 3</b> nalazi se bistabil koji djeluje na rastući brid signala takta, njegova je oznaka
    mali trokutić na samom ulazu signala takta (<b>CP</b>-a).
</p>
<p>
    Sklop s <b>primjera 4</b> također sadrži trokutić koji nam govori da se radi o bistabilu koji djeluje na brid, uz
    trkoutić dodatno ima i simbol komplementa. Takav simbol nam govori da se radi o bistabilu koji djeluje na padajući
    brid signala takta.
</p>
<div>
    <p align="center">
        <canvas id="RaisingEdge" width="350px" height="300px"></canvas>
        <canvas id="FallingEdge" width="350px" height="300px"></canvas>
    </p>
</div>

<h3><b>Primjer simbola bistabila koji ne djeluje na signal takta.</b></h3>
<p>

</p>

<p>
    Sljedeći sklop (sklop s primjera 5) ne djeluje na signal takta. To je asinkroni sekvencijski sklop i njega
    označavamo bez posebnih simbola.
</p>
<div id="staticSR">
    <p align="center">
        <canvas id="AsyncSR" width="350px" height="300px"></canvas>
    </p>
</div>
<p style="color:darkred">Isprobajte ponašanje sklopova s ovih demonstracija i uvjerite se da odgovaraju danim simbolima.
</p>
<hr>

<p>
    U nastavku možete vidjeti i osnovnu podjelu ovakvih bistabila.
</p>
<img src="@#file#(treeFlipFlop.svg)" alt="Stablo bistabila">

<p>
    Na sljedećoj stranici slijedi nam i prvi zadatak, <b>sretno</b>!
</p>
<script>
    /*@#page-include#(library.js)*/
    /*@#page-include#(exampleBoxes.js)*/
</script>
